
Core - Bug # 56209

Status: Resolved Priority: Must have
Author: Thomas Skierlo Category: Content Rendering
Created: 2014-02-22 Assigned To: Steffen Ritter
Updated: 2014-02-24 Due date:
TYPO3 Version: 6.2
PHP Version: 5.3
Complexity:
Is Regression: Yes
Sprint Focus:
Subject: Section Navigation: empty sectionIndex_uid 
Description

I'm having (new) issues with section navigation using latest HEAD. I'm using this TS:

lib.section_index =< tt_content.menu.20.3
lib.section_index {
    stdWrap {
        wrap = <ul class="nav bs-sidenav" >|</ul>
        outerWrap = <div data-spy="affix" data-offset-top="210" class="bs-sidebar hidden-print" role="complementary">|</div>
    }
    1 {
        NO.ATagParams.dataWrap = data-target="#c{field:sectionIndex_uid}" 
        NO.wrapItemAndSub = <li>|</li>
    }
}

All works fine, except 'sectionIndex_uid', which always stays empty. Moving back to 6.2.0beta3 brings back the field and it's content.
Couldn't find any changes in TSref, so this might be an issue.

Related issues:
blocked by Core - Task # 54953: FrontendContentAdapterService performs same a... Accepted 2014-01-13

Associated revisions
Revision fe7e00da - 2014-02-23 23:51 - Markus Klein

Revert "[TASK] FrontendContentAdapterService processes record repeatedly"

This reverts commit 3adf78359015401648fcec4befe70e9bd0b7a2ea

This patch breaks section menus as it introduces invalid caching.
The original patch has not yet been backported.

Resolves: #56209
Resolves: #54953
Releases: 6.2
Change-Id: Ia3fc8718ed3907913a5538eee102260425f2cf16
Reviewed-on: https://review.typo3.org/27788
Reviewed-by: Markus Klein
Tested-by: Markus Klein
https://review.typo3.org/27788


History
#1 - 2014-02-22 11:33 - Markus Klein
- Status changed from New to Needs Feedback

Found the culprit.

Commit 3adf78359015401648fcec4befe70e9bd0b7a2ea
#54953
https://review.typo3.org/26786

#2 - 2014-02-22 11:34 - Markus Klein
- Status changed from Needs Feedback to Accepted
- Assigned To set to Steffen Ritter
- Priority changed from Should have to Must have
- Target version set to next-patchlevel
- Is Regression changed from No to Yes

#3 - 2014-02-22 12:19 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27788

#4 - 2014-02-23 23:47 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27788

#5 - 2014-02-24 00:30 - Markus Klein
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:fe7e00da232e8cd9abb5dc4027f416e46ad0b866.
